> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1credentialsuser registration 1



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Credentials//swagger/v1/swagger.json get /api/v1/credentials/user-registration/{azureAdUserId}
openapi: 3.0.0
info:
  title: NDS.Services.Credentials
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Credentials/
security: []
paths:
  /api/v1/credentials/user-registration/{azureAdUserId}:
    get:
      tags:
        - UserRegistration
      operationId: UserRegistration_GetUserRegistration
      parameters:
        - name: azureAdUserId
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserRegistrationResult'
components:
  schemas:
    GetUserRegistrationResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            UserRegistration:
              $ref: '#/components/schemas/UserRegistration'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    UserRegistration:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        OAuthUserId:
          type: string
        OAuthUsername:
          type: string
        Email:
          type: string
          nullable: true
        AppRegistrationId:
          type: string
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````